%define         subrel 1

Name:           telepathy-gabble
Version:        0.5.4
Release:        %mkrel 1
Summary:        A Jabber/XMPP connection manager

Group:          Networking/Instant messaging
License:        LGPL
URL:            http://telepathy.freedesktop.org/wiki/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	loudmouth-devel
BuildRequires:  libxslt-proc
BuildRequires:  python-devel

Obsoletes:      tapioca-xmpp

Requires:	telepathy-filesystem


%description
A Jabber/XMPP connection manager, that handles single and multi-user
chats and voice calls.

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/*.service
%{_datadir}/telepathy/managers/*.manager

#--------------------------------------------------------------------
%package        devel
Group:          System/Libraries
Summary:        Libraries for %{name}

Requires:       %name = %version
Provides:       lib%name-devel

%description    devel
The libraries from %{name} package

%files devel
%defattr(-,root,root,-)
%{_includedir}/telepathy-1.0/telepathy-glib/_gen/*.h
%{_includedir}/telepathy-1.0/telepathy-glib/*.h
%{_libdir}/pkgconfig/telepathy-glib.pc
%{_libdir}/*.a
%{_libdir}/*.la

#--------------------------------------------------------------------

%prep
%setup -q


%build
%configure --disable-loudmouth-versioning
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Tue Jul 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.4-1.1mdv2007.1
+ Revision: 51038
- Obsoletes tapioca-xmpp ( bug #26973 and #31804)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Wed Feb 28 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.4-1mdv2007.0
+ Revision: 129320
- FIx BuildRequires
- New version
- Fix file list
- New version
- New version 0.5.1:
  * cache vcards for a short period of time, and group together requests,
  so we don't end up retreiving them twice for avatars and then again for
  nicknames
  * fix a really common crash most times we got any offline presence from
  people
  * fix a crash on certain invalid connection arguments
  * fix a reference leak of connections, meaning you could never
  reconnect to a connection in the same instance (thanks Xavier Claessens)
  * don't add a "message" parameter to presence if it's not actually
  received (thanks Sjoerd Simons)
  * start moving protocol-independent code out to lib/ directory

* Mon Dec 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.5.0-1mdv2007.1
+ Revision: 95052
- New version 0.5.0

* Mon Oct 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.4.2-1mdv2007.1
+ Revision: 73720
- New release 0.4.2

* Wed Oct 11 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.3.10-1mdv2007.1
+ Revision: 63242
- Import telepathy-gabble

